%define module_version 0.027
%define module_name Test-Proto
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/DPath.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Object/ID.pm) perl(Scalar/Util.pm) perl(Sub/Name.pm) perl(Test/Builder/Module.pm) perl(Test/Deep/NoTest.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.027
Release: alt1
Summary: OO test script golf sugar
Group: Development/Perl
License: perl
URL: http://github.com/pdl/Test-Proto

Source0: http://cpan.org.ua/authors/id/P/PE/PERRETTDL/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
my $p = Test::Proto::Base->new->is_eq(-5);.	$p->ok ($temperature) # will fail unless $temperature is -5
	$p->ok ($score) # you can use the same test multple times
	ok($p->validate($score)) # If you like your "ok"s first

This is a base class for test prototypes. 

Throughout this documentation, `p' will be used as a shorthand for `Test::Proto::Base->new'.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%changelog
* Mon Dec 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.027-alt1
- regenerated from template by package builder

* Mon Dec 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.026-alt1
- regenerated from template by package builder

* Wed Oct 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.025-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.024-alt1
- regenerated from template by package builder

* Mon Sep 16 2013 Igor Vlasenko <viy@altlinux.ru> 0.022-alt1
- regenerated from template by package builder

* Tue Sep 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.021-alt1
- initial import by package builder

